## HTTPClient
Class AuthSchemeNotImplException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              HTTPClient.ModuleException
                  HTTPClient.AuthSchemeNotImplException

All Implemented Interfaces:
  Serializable

public class AuthSchemeNotImplException
extends ModuleException

Signals that the handling of a authorization scheme is not implemented.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`AuthSchemeNotImplException()` Constructs an AuthSchemeNotImplException with no detail message.
`AuthSchemeNotImplException(String msg)` Constructs an AuthSchemeNotImplException class with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthSchemeNotImplException

    public AuthSchemeNotImplException()

  Constructs an AuthSchemeNotImplException with no detail message. A detail message is a String that describes this particular exception.

### AuthSchemeNotImplException

    public AuthSchemeNotImplException(String msg)

  Constructs an AuthSchemeNotImplException class with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the String containing a detail message